<% provide(:title, present(meeting).title) %>
<% add_decidim_meta_tags({
  title: present(meeting).title,
  description: present(meeting).description,
  url: meeting_url(meeting.id)
}) %>
<% edit_link(
  resource_locator(meeting).edit,
  :update,
  :meeting,
  meeting: meeting
)
%>
<% @can_moderate = current_participatory_space.moderators.include?(current_user) %>
<div class="br-container-lg button_back">
  <%= render partial: "wizard_aside" %>
  <div class="content-container">
    <div class="main-content">
      <div class="meeting-actions-buttons">
        <% @meeting_cell = cell("decidim/meetings/meeting_m", @meeting, full_badge: true) %>
        <% if allowed_to?(:destroy, :meeting, meeting: meeting) %>
          <%= link_to resource_locator(meeting).show, method: :delete, class: "br-button secondary delete-meeting", 
                data: { confirm: t(".confirm_delete") } do %>
            <i class="fa-solid fa-trash-can" style="color: #8b0a03;"></i>
            <%= t(".delete_meeting") %>
          <% end %>
        <% end %>
        <% if allowed_to?(:cancel, :meeting, meeting: meeting) %>
          <%= link_to withdraw_meeting_path(@meeting), method: 'put', class: "br-button secondary cancel-meeting", 
                data: { confirm: t('.confirm_cancel') } do %>
            <i class="fa-solid fa-trash-can" style="color: #8b0a03;"></i>
            <%= t(".cancel_meeting") %>
          <% end %>
        <% end %>
        <% if allowed_to?(:update, :meeting, meeting: meeting) %>
          <%= link_to edit_meeting_path(meeting), class: "br-button secondary black-and-white-btn" do %>
            <i class="fa-solid fa-pen-to-square" style="color: #333333;"></i>
            <%=t(".edit_meeting")%>
          <% end %>
        <% end %>
        <% if allowed_to?(:close, :meeting, meeting: meeting) %>
          <%= link_to edit_meeting_meeting_close_path(meeting_id: meeting.id, id: meeting.id), class: "br-button secondary black-and-white-btn" do %>
            <%= caption =  meeting.closed? ? t(".edit_close_meeting") : t(".close_meeting") %>
          <% end %>
        <% end %>
        <% if author_presenter_for(meeting.normalized_author) == current_user %>
          <% organization_info_survey = current_participatory_space.organization_info_survey.presence.to_s.chomp("/") %>
          <% record_what_happened_survey = current_participatory_space.record_what_happened_survey.presence.to_s.chomp("/") %>
          <a class="br-button secondary black-and-white-btn" href="<%= organization_info_survey %>?meeting_id=<%= meeting.id %>">
            Adicione Informações da organização
          </a>
          <% if allowed_to?(:register_what_happened, :meeting, meeting: meeting) %>
            <a class="br-button secondary black-and-white-btn" href="<%= record_what_happened_survey %>?meeting_id=<%= meeting.id %>">
              Registre o que aconteceu
            </a>
          <% end %>
        <% end %>
      </div>
      <%== @meeting_cell.badge %>
      <h2 class="title"><%= present(meeting).title(links: true, html_escape: true ) %></h2>
      <%= render_meeting_body(@meeting) %>
      <div class="meetings-author-info-br">
        <% @author_cell = cell "decidim/author", author_presenter_for(meeting.normalized_author), has_actions: true, from: meeting, context: { extra_classes: ["author-data--small"] } %>
        <div class="author-data">
          <div class="author-data__main">
            <%== @author_cell.profile %>
          </div>
          <div class="author-data__extra">
            <%== @author_cell.date %>
          </div>
        </div>
      </div>
      <div class="section">
        <% if meeting.private_meeting? %>
          <span class="<%= meeting_type_badge_css_class("private") %> label proposal-status">
            <%= t("private_meeting", scope: "decidim.meetings.types") %>
          </span>
        <% end %>
        <% if meeting.private_meeting? and meeting.transparent? %>
          <span class="<%= meeting_type_badge_css_class("transparent") %> label proposal-status">
            <%= t("transparent", scope: "decidim.meetings.types") %>
          </span>
        <% end %>
        <% if meeting.in_person_meeting? || meeting.hybrid_meeting? %>
          <div class="br-divider space-above"></div>
          <%= render partial: "decidim/shared/static_map", locals: { icon_name: "meetings", geolocalizable: meeting } %>
          <div class="br-divider"></div>
        <% end %>
        <% if meeting.online_meeting? || meeting.hybrid_meeting? %>
          <%= cell "decidim/meetings/online_meeting_link", meeting %>
        <% end %>
      </div>
      <%= render partial: "decidim/shared/tags", locals: { resource: meeting, tags_class_extra: "tags--meeting" } %>
      <div class="agenda__section-container">
        <div class="agenda-section-heading">
          <%= t("itinerary", scope: "decidim.meetings" ) %>
        </div>
        <% if allowed_to? :create, :agenda, meeting: meeting || allowed_to?(:update, :agenda, meeting: meeting) %>
          <% unless meeting.agenda.present? %>
            <%= link_to t(".new_agenda"), new_meeting_agenda_path(meeting), class: "br-button primary" %>
          <% else %>
            <%= link_to t(".edit_agenda"), edit_meeting_agenda_path(meeting), class: "br-button secondary black-and-white-btn" %>
          <% end %>
        <% end %>
        <% if meeting.agenda.present? && meeting.agenda.visible? %>
          <%= render "meeting_agenda" %>
        <% else %>
          <p class="agenda-section-warning">Ainda não há cronograma para este evento.</p>
        <% end %>
      </div>
      <%= cell "decidim/meetings/public_participants_list", meeting %>
      <% if !meeting.closed? && meeting.user_group_registrations.any? %>
        <% user_group_ids = meeting.user_group_registrations.user_group_ids %>
        <div class="section">
          <h4 class="section-heading"><%= t(".organizations") %></h4>
          <div class="card card--list">
            <% Decidim::UserGroup.where(id: user_group_ids).each do |group| %>
              <div class="card--list__item">
                <div class="card--list__text card--list__text--top">
                  <%= cell "decidim/author", present(group) %>
                </div>
              </div>
            <% end %>
          </div>
        </div>
      <% end %>
      <% if meeting.closed? && meeting.closing_visible? && false %>
        <div class="section">
          <h3 class="section-heading"><%= t(".meeting_minutes") %></h3>
          <%= decidim_sanitize_editor translated_attribute meeting.closing_report %>
        </div>
      <% end %>
      <%= linked_resources_for meeting, :proposals, "proposals_from_meeting" %>
      <%= linked_resources_for meeting, :results, "meetings_through_proposals" %>
      <% if meeting.services.any? %>
        <div class="card card--list">
          <% meeting.services.each do |service| %>
            <div class="card--list__item">
              <div class="card--list__text card--list__text--top">
                <%= icon "actions", class: "card--list__icon alert", role: "img", "aria-hidden": true %>
                <div>
                  <h3 class="card--list__heading heading-small"><%= translated_attribute(service["title"]) %></h3>
                  <span class="text-medium"><%= translated_attribute(service["description"]) %></span>
                </div>
              </div>
            </div>
          <% end %>
        </div>
      <% end %>
      <dl>
        <% @participants&.answers&.each do |answer| %>
          <% if answer.public_information? %>
            <dt><%= answer.question %></dt>
            <dd><%= answer.body %></dd>
          <% end %>
        <% end %>
      </dl>
    </div>
    <div class="side-content">
      <div class="card-component">
        <div class="card-component__content">
          <div class="header">
            <i class="fas fa-globe data-icon"></i>
            <p>Evento <%= t("decidim.meetings.type_of_meeting.#{meeting.type_of_meeting}") %></p>
          </div>
          <span class="br-divider"></span>
          <%= cell("decidim/date_range", { start: meeting.start_time, end: meeting.end_time }) %>
          <%= render partial: "calendar_modal", locals: {
              ics_url: calendar_meeting_url(meeting),
              google_url: google_calendar_event_url(meeting)
            } 
          %>
        </div>
        <% if meeting.closed? && meeting.closing_visible? %>
          <span class="br-divider"></span>
          <% if meeting.has_contributions? %>
            <div class="definition-data__item">
              <span><%= t(".contributions") %></span>
              <span class="definition-data__number"><%= meeting.contributions_count %></span>
            </div>
          <% end %>
          <% if meeting.attending_organizations.present? %>
            <div class="definition-data__item">
              <span><%= t(".organizations") %></span>
              <span class="definition-data__text"><%= simple_format(meeting.attending_organizations) %></span>
            </div>
          <% end %>
        <% end %>
      </div>
      <div class="card-component">
        <% unless meeting.on_different_platform? %>
          <div class="meetings-subs-count">
            <div class="subs-count">
              <%= meeting.subscribers_count %>
            </div>
            <div class="subs-legend">
              inscritos
            </div>
          </div>
          <% if allowed_to?(:export_registrations, :meeting, meeting: meeting) && !meeting.registrations.empty? %>
            <span class="exports dropdown tiny button button--simple button--title" data-toggle="export-dropdown"><%= t "actions.export", scope: "decidim.admin" %></span>
            <div class="dropdown-pane" id="export-dropdown" data-dropdown data-auto-focus="true" data-close-on-click="true">
              <ul class="vertical menu add-components">
                <% %w{CSV JSON Excel}.each do |format| %>
                  <li class="exports--format--<%= format.downcase %> exports--registrations">
                    <%= link_to t("decidim.admin.exports.export_as", name: t("decidim.#{current_component.manifest.name}.admin.exports.registrations"), export_format: format),
                          main_app.export_public_registrations_path(slug: current_participatory_space.slug, process_id: current_component, meeting_id: meeting, format: format) %>
                  </li>
                <% end %>
              </ul>
            </div>
          <% end %>
        <% end %>
        <%= cell "decidim/meetings/join_meeting_button", meeting, big_button: true, show_remaining_slots: true %>
      </div>
      <div class="meetings-br-actions-buttons">
        <% if (current_user.try(:admin?) || @can_moderate) %>
          <button type="button" class="br-button" data-open="flagModal" title="Denunciar"
            aria-controls="flagModal" aria-haspopup="dialog" tabindex="0">
            <i class="fas fa-flag mr-2" aria-hidden="true"></i>
            <%= t("decidim.meetings.meetings.moderation.label") %>
          </button>
        <% end %>
        <%= render partial: "decidim/shared/share_modal", locals: {
              translation_component: t("decidim.shared.share_modal.share_text_meeting",
              resource_name: resource_title(@meeting),
              component_name: resource_title(current_participatory_space))
            }
        %>
      </div>
    </div>
  </div>
  <%= attachments_for meeting %>
  <%= comments_for meeting %>
  <%= pad_iframe_for meeting %>
  <%= cell("decidim/flag_modal", meeting) %>
</div>
